// Copyright 2018-2024, Vladimir Kuptsov
function Line(x0, y0, angleDeg) {
	this.x0 = x0;         
	this.y0 = y0;         
	this.angleRad = null;   // line angle rad
	this.angleDeg = null;   // line angle deg
	
	this.calcAngleDeg(angleDeg);
}

Line.prototype.calcAngleDeg = function(angleDeg){
	if(angleDeg > 360){
		var n = Math.floor(angleDeg / 360);
		angleDeg = angleDeg - 360 * n;
	}
	if(angleDeg < -180) {
		angleDeg = angleDeg + 360;      // angleDeg in range [-180 180]
	}else if(angleDeg > 180) {
		angleDeg = angleDeg - 360;      // angleDeg in range [-180 180]
	}else if(angleDeg == -180) {angleDeg=180;}
	this.angleRad = angleDeg * Math.PI / 180;
	this.angleDeg = angleDeg;
}



function Circle(x0, y0, radius) {
	this.x0 = x0;         
	this.y0 = y0;         
	this.radius = radius;   // circle radius
}

